# xslt:document

xslt:document(item* $srcval1) → node*

Function signature

$uri | item *
Result | node() *

Loads one or more documents identified by their URIs

XSLT 2.0 Specification

Note:Saxon makes no attempt to determine the media type of the resource representation (which is not available from the JAXP URIResolver). Instead, it simply assumes text/xml. If the fragment identifier is a valid NCName, it is assumed to be the ID of a node in the document, which is then located using the id() function: if no node is found, the result is an empty sequence. If the fragment identifier is not a valid NCName, it is silently ignored and the document node is returned.

xslt:document(item* $srcval1, node* $srcval2) → node*

Function signature

$uri | item *
$base | node() *
Result | node() *

Loads one or more documents identified by their URIs, using the base URI of the node given in the second argument to resolve any relative URIs

XSLT 2.0 Specification

Note:Check the type of the second argument against the latest spec.

Expand | Up Next